## org.apache.lucene.document
Class SortedDocValuesField

    java.lang.Object
      org.apache.lucene.document.Field
          org.apache.lucene.document.SortedDocValuesField

All Implemented Interfaces:
  IndexableField

Direct Known Subclasses:
  SortedBytesDocValuesField

    public class SortedDocValuesField

extends Field

Field that stores a per-document `BytesRef` value, indexed for sorting. Here's an example usage:

       document.add(new SortedDocValuesField(name, new BytesRef("hello")));

If you also need to store the value, you should add a separate `StoredField` instance.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.document.Field
`Field.Index, Field.Store, Field.TermVector`

Field Summary
`static FieldType` `TYPE` Type for sorted bytes DocValues

Fields inherited from class org.apache.lucene.document.Field
`boost, fieldsData, name, tokenStream, type`

Constructor Summary
`SortedDocValuesField(String name, BytesRef bytes)` Create a new sorted DocValues field.

Method Summary

Methods inherited from class org.apache.lucene.document.Field
`binaryValue, boost, fieldType, name, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString, translateFieldType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final FieldType TYPE

  Type for sorted bytes DocValues

Constructor Detail

### SortedDocValuesField

    public SortedDocValuesField(String name,
                                BytesRef bytes)

  Create a new sorted DocValues field.

  Parameters:
    `name` - field name
    `bytes` - binary content
  Throws:
    `IllegalArgumentException` - if the field name is null

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.